Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232349 - CVE-2007-1218 tcpdump denial of service
Summary: CVE-2007-1218 tcpdump denial of service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tcpdump
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard: impact=low,source=full-disclosure,rep...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-14 21:16 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 11:37:20 UTC


Attachments (Terms of Use)

Description Josh Bressers 2007-03-14 21:16:53 UTC
+++ This bug was initially created as a clone of Bug #232347 +++

A potential denial of service flaw due to a single byte overflow was found in
the way tcpdump processes 802.11 packets:
http://seclists.org/fulldisclosure/2007/Mar/0003.html

The upstream patch is here:
http://cvs.tcpdump.org/cgi-bin/cvsweb/tcpdump/print-802_11.c?r1=1.42&r2=1.43

From inspecting our packages it seems that the initial, incorrect test isn't
even present, which still leaves our packages vulnerable to this flaw.

Comment 1 Josh Bressers 2007-03-14 21:17:20 UTC
This flaw should also affect FC5 and the upcoming FC7

Comment 2 Miroslav Lichvar 2007-03-15 12:26:22 UTC
Fixed in

tcpdump-3.9.4-4.fc5
tcpdump-3.9.4-10.fc6
tcpdump-3.9.5-3.fc7


Note You need to log in before you can comment on or make changes to this bug.